API
API
Back to appIntroductionAuthenticationQuickstartCore conceptsUploading callsGetting resultsWebhooksPagination and searchErrorsRate limits and billing
Register a webhook POSTDelete a webhook DELETERecent delivery attempts for a webhook GETList the project's webhooks GETPause or resume a webhook PATCH
ReferenceWebhooks

Register a webhook

The URL must be public HTTPS. The signing secret is returned once, on creation.

POST/v1/projects/{projectId}/webhooks

The URL must be public HTTPS. The signing secret is returned once, on creation.

Authorization

ApiKeyAuth
X-API-Key<token>

Organization API key. Format: X-API-Key: at_live_...

In: header

Path Parameters

projectId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

*/*

curl -X POST "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/webhooks" \  -H "Content-Type: application/json" \  -d '{    "url": "string",    "events": [      "string"    ]  }'
{  "id": "string",  "url": "string",  "events": [    "string"  ],  "active": true,  "secret": "string",  "createdAt": "2019-08-24T14:15:22Z"}

Update a speaker preset PUT

Previous Page

Delete a webhook DELETE

Next Page

url*string
events*array<string>